package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.DistrictInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface DistrictInfoService {
	DistrictInfo get(String id);
	boolean exist(String id);
	int insert(DistrictInfo model);
	int update(DistrictInfo model);
	int delete(String id);
	List<DistrictInfo> list();
	Page<DistrictInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	DistrictInfo findByParent(String code);

    List<DistrictInfo> findTopRegion();

	List<DistrictInfo> findByParentId(String parentId);


}